Entrar

Obtener pedido

GET https://{organization}.myguper.com/api/order/data/{idOrder}

Devuelve el pedido por el identificador.

Try-it values populated from environment ACME (Demo)


Autenticación

Token

Send your user token in the x-guper-authorization header.

Encabezados

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Parámetros de ruta

Name Type Description
idOrder * string

Respuestas

{
    "id": 1672118,
    "store": {
        "id": 124,
        "name": "mystore"
        },
    "cashier": {
            "id": 6977,
            "name": "Serafim Lampião"
        },
    "salesperson": {
            "id": 2367,
            "name": "Oliveira da Figueira"
        },
    "client":  {
            "id": 6497,
            "name": "Tintim",
            "email": "tintim@tintim.com.br",
            "countryCallingCode": 55,
            "cellphone": "19966659986",
            "document": null
        },
    "orderStatus": "canceled",
    "paidValue": 0,
    "customerTag": [],
    "items": [
        {
            "id": "138876",
            "productId": null,
            "name": "Tênis Casual Feminino 34",
            "categoryId": 659,    
            "brandId": 987,
            "quantity": 1,
            "price": 25000,
            "listPrice": 26200,
            "redemption":  1200 
            
        }
    ],
    "payments": [
        {
            "value": 25000,
            "type": "promissory",
            "paymentSystem": "my-payment",
            "paymentSystemName": "My Payment",
            "installments": 1,
            "firstDigits": "4569",
            "lastDigits": "1236"
        }
    ],
    "total_order": 25000,
    "total_item": 25000,
    "total_shipping": 0,
    "total_taxes": 0,
    "total_discounts": 1200,
    "histories": [
        {
            "status": "order-create",
            "reason": "Order Create",
            "date": "2024-09-27T07:35:00-03:00"
        }
    ],
    "createdAt": "2024-09-27T10:35:06-03:00",
    "integratedAt": "2024-09-27T10:35:06-03:00",
    "indexedAt": "2024-09-27T10:36:02-03:00",
    "updatedAt": "2024-12-02T11:25:46-03:00"
}
Copied to clipboard